Visitation

- « CommonMark\Interfaces\IVisitable

- CommonMark\Parser »

- PHP Manual
- CommonMark\Interfaces\IVisitable
- Visitation

# CommonMark\Interfaces\IVisitable::accept

(cmark >= 1.0.0)

CommonMark\Interfaces\IVisitable::accept — Visitation

### Description

abstract public CommonMark\Interfaces\IVisitable::accept(CommonMark\Interfaces\IVisitor `$visitor`): void

### Parameters

`visitor`

  An object implementing CommonMark\Interfaces\IVisitor

### See Also

- CommonMark\Interfaces\IVisitor::enter
- CommonMark\Interfaces\IVisitor::leave